#include <stdio.h>
#include <string.h>
#include "stat.h"
#include "nand.h"

struct nand_stat_info nand_stat;
struct io_stat_info io_stat;

/*
 * reset all stat count
 */
void nand_stat_reset() {
	memset(&nand_stat, 0, sizeof(struct nand_stat_info));
	memset(&io_stat, 0, sizeof(struct io_stat_info));

}

/*
 * print all stat count
 */
void nand_stat_print() {
	printf("\n\t[DR]\t[DW]\t[GR]\t[GW]\t[GE]\n");
	printf("D\t%d\t%d\t%d\t%d\t%d\n", 
		nand_stat.data.read, nand_stat.data.write, 
		nand_stat.gc.read, nand_stat.gc.write, nand_stat.gc.erase);
	printf("\nI/Ot\t[RO]\t[RS]\t[WO]\t[WS]\t[TO]\t[TS]\n");
	printf("\t%d\t%d\t%d\t%d\t%d\t%d\n",
		io_stat.cnt_read, io_stat.size_read, 
		io_stat.cnt_write, io_stat.size_write,
		io_stat.cnt_trim, io_stat.size_trim);
}
