#ifndef __STAT_NAND_H__
#define __STAT_NAND_H__

#include "types.h"

struct __flash_stat_info {
	_u32 read;
	_u32 write;
	_u32 erase;
};

struct nand_stat_info {
	struct __flash_stat_info data;
	struct __flash_stat_info gc;
};

extern struct nand_stat_info nand_stat;

struct io_stat_info {
	_u32 cnt_read;
	_u32 cnt_write;
	_u32 cnt_trim;
	_u32 size_read;
	_u32 size_write;
	_u32 size_trim;
};

extern struct io_stat_info io_stat;

void nand_stat_reset();
void nand_stat_print();

#endif
