#ifndef _TRACEIO_H_
#define _TRACEIO_H_

#include <types.h>

// for open mode
#define DISKMON_TRACE	0
#define SYNTHETIC_TRACE	1


typedef void *traceio_handler;

#define READ	0
#define	WRITE	1
#define TRIM	2

struct op_unit {
	_u32	op;
	_u32	sector;
	_u32	length;
};

extern traceio_handler open_traceio(char *filename, int mode);
extern void close_traceio(traceio_handler handler);
extern struct op_unit next_op(traceio_handler handler);
extern int is_valid_op_unit(struct op_unit op_unit);
extern int is_last(struct op_unit op_unit);

#endif
