#ifndef __FTLSIMPLE_H__
#define __FTLSIMPLE_H__

#include "types.h"

#define PAGE_MASK			((1<<(config_nand.bit_page_per_blk))-1)
#define BLK_F_PA(pa)		((pa)>>(config_nand.bit_page_per_blk))
#define PN_F_PA(pa)			((pa) & PAGE_MASK)
#define MAKE_PA(blk, pn)	(((blk)<<(config_nand.bit_page_per_blk)) + (pn))

int ftl_open();
void ftl_close();

_t_size ftl_read(_t_sect lsn, _t_size size);
_t_size ftl_write(_t_sect lsn, _t_size size);

#endif // __FTLSIMPLE_H__
