#ifndef __TYPES_H__
#define __TYPES_H__

#define TRUE	1
#define FALSE	0

#ifndef WIN32
#include <stdint.h>
typedef int_least8_t _s8;
typedef int_least16_t _s16;
typedef int_least32_t _s32;
typedef uint_least8_t _u8;
typedef uint_least16_t _u16;
typedef uint_least32_t _u32;
#else
typedef __int8 _s8;
typedef __int16 _s16;
typedef __int32 _s32;
typedef unsigned __int8 _u8;
typedef unsigned __int16 _u16;
typedef unsigned __int32 _u32;
#define true 1
#define false 0
#endif

typedef _u32 _t_sect;
typedef _u32 _t_size;
typedef _u32 _t_blk;
typedef _u16 _t_page;

#endif
