#ifndef __FTL_GENERIC_H__
#define __FTL_GENERIC_H__

/* Simple Bitmap(All in the Memory) */
void bitmap_s_invalidate(_t_blk pbn, _t_page ppn, _t_size length) ;
void bitmap_s_end();
void bitmap_s_init();
void bitmap_s_get_block(int pbn, _u8 *block_bitmap) ;
void bitmap_s_clear_block(_t_blk pbn);

/* General block management */
void vm_init();
void vm_end();
_u32 vm_alloc_page(_t_sect lsn, _t_blk *pbn, _t_page *ppn, int reqtype);
int vm_gc_check();
void vm_gc_start();
void vm_invalidate(_t_blk victim, _t_page ppn, _t_size length);


#endif // __FTL_GENERIC_H__
